#include "e1.h"
#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <sys/time.h>  // gettimeofday

#define NUM 5000 // provare con 5

// Attenzione: se l'amministratore cambia l'orologio di sistema
// possono esserci discontinuità nelle misurazioni
double get_real_time_msec() {
	struct timeval tv;
	gettimeofday(&tv, NULL);
    return tv.tv_sec*1E03+tv.tv_usec*1E-03;
}

int main() {
    int i, *v = malloc(NUM*sizeof(int));
    assert(v != NULL);

    for (i=0; i<NUM; ++i) v[i] = NUM-i-1;

    printf("\nstart sorting...\n-------------------------------\n");

    double start = get_real_time_msec();
    sort(v, NUM);
    double elapsed = get_real_time_msec() - start;

    for (i=0; i<10; ++i)
        printf("v[%d]=%d\n", i, v[i]);
    printf("-------------------------------\n");
    printf("Tempo richiesto da sort: %f msec\n", elapsed);

    free(v);

    return EXIT_SUCCESS;
}
