#include "e2.h"
#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <time.h>  // clock_gettime

#define NUM 5 // provare con 5

double get_real_time_msec() {
	struct timespec ts;
	clock_gettime(CLOCK_MONOTONIC, &ts);
    return ts.tv_sec*1E03 + ts.tv_nsec*1E-06;
}

int main() {
    int i, *v = malloc(NUM*sizeof(int));
    assert(v != NULL);

    for (i=0; i<NUM; ++i) v[i] = NUM-i-1;

    printf("\nstart sorting...\n-------------------------------\n");

    double start = get_real_time_msec();
    sort(v, NUM);
    double elapsed = get_real_time_msec() - start;

    for (i=0; i<10; ++i)
        printf("v[%d]=%d\n", i, v[i]);
    printf("-------------------------------\n");
    printf("Tempo richiesto da sort: %f msec\n", elapsed);

    free(v);

    return EXIT_SUCCESS;
}
